commit:     de367b22ad0c7e1a1ac0af48091f75f0757fe2ed
Author:     Kerin Millar <kfm <AT> plushkava <DOT> net>
AuthorDate: Mon Jun  9 20:30:32 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 11 03:26:20 2025 +0000
URL:        https://gitweb.gentoo.org/proj/portage.git/commit/?id=de367b22

estrip: specify commands for standalone redirections

This is just to satisfy the SC2188 policy of shellcheck.

See-also: ead85d2c48b1be1e4361622cfe42203a3326c119
Signed-off-by: Kerin Millar <kfm <AT> plushkava.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 bin/estrip | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/estrip b/bin/estrip
index 5d1ac2ee3d..dbd9754575 100755
--- a/bin/estrip
+++ b/bin/estrip
@@ -390,7 +390,7 @@ do_queue() {
        fi
 
        while IFS= read -r path; do
-               >> "${path}.estrip" || die
+               : >> "${path}.estrip" || die
        done < <(
                (( ${#scanelf_results[@]} )) && printf "%s\n" 
"${scanelf_results[@]}"
                find "${find_paths[@]}" -type f ! -type l -name '*.a'
@@ -681,7 +681,7 @@ then
        # Needed after running save_elf_sources.
        # https://bugzilla.redhat.com/show_bug.cgi?id=444310
        while read -r -d $'\0' emptydir; do
-               >> "${emptydir}"/.keepdir
+               : >> "${emptydir}"/.keepdir
        done < <(find "${D%/}/${prepstrip_sources_dir#/}/" -type d -empty 
-print0)
 fi
 

Reply via email to